org.codehaus.plexus.compiler.j2objc

## Class DefaultJ2ObjCCompilerParser

- java.lang.Object
- - org.codehaus.plexus.compiler.j2objc.DefaultJ2ObjCCompilerParser

    public class DefaultJ2ObjCCompilerParser
    extends Object

Handle the output of J2ObjC

Author:
  lmaitre

### Constructor Summary

Constructors
Constructor and Description
`DefaultJ2ObjCCompilerParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompilerMessage` `parseLine(String line)` Parse a line of log, reading the error and translating lines.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultJ2ObjCCompilerParser

    public DefaultJ2ObjCCompilerParser()

### Method Detail

#### parseLine

    public static CompilerMessage parseLine(String line)

Parse a line of log, reading the error and translating lines.

Parameters:
  `line` -
Returns:
  The compiler message for this line or null if there is no need of a message.